PaidGoods
API referenceMarketing

Add a contact who asked to subscribe

POST
/v1/stores/{storeId}/marketing/contacts

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/stores/string/marketing/contacts" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com"  }'
{  "contact": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "email": "string",    "name": "string",    "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",    "consent": true,    "consentSource": "checkout",    "consentAt": "string",    "unsubscribedAt": "string",    "unsubscribeSource": "link",    "createdAt": "string"  },  "newlyConsented": true}